/* -*- Mode: C; c-file-style: "gnu" -*-
   unixproc.c -- native methods for java/lang/UNIXProcess.
   Created: Chris Toshok <toshok@hungry.com>, 28-Jul-1997
 */
/*
  This file is part of Japhar, the GNU Virtual Machine for Java Bytecodes.
  Japhar is a project of The Hungry Programmers, GNU, and OryxSoft.

  Copyright (C) 1997, 1998 The Hungry Programmers

  This library is free software; you can redistribute it and/or
  modify it under the terms of the GNU Library General Public
  License as published by the Free Software Foundation; either
  version 2 of the License, or (at your option) any later version.

  This library is distributed in the hope that it will be useful,
  but WITHOUT ANY WARRANTY; without even the implied warranty of
  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
  Library General Public License for more details.

  You should have received a copy of the GNU Library General Public
  License along with this library; if not, write to the Free
  Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
  */
#include "jni.h"

JNIEXPORT void JNICALL
Java_java_lang_UNIXProcess_run(JNIEnv *env,
			       jobject obj)
{
  (*env)->FatalError(env, "java.lang.UNIXProcess.run() unimplemented");
}

JNIEXPORT jlong JNICALL
Java_java_lang_UNIXProcess_forkAndExec(JNIEnv *env,
				       jobject obj,
				       jobjectArray proc_args,
				       jobjectArray proc_env)
{
  (*env)->FatalError(env, "java.lang.UNIXProcess.forkAndExec() unimplemented");
  return 0;
}

JNIEXPORT void JNICALL
Java_java_lang_UNIXProcess_notifyReaders(JNIEnv *env,
					 jobject obj)
{
  (*env)->FatalError(env, "java.lang.UNIXProcess.notifyReaders() unimplemented");
}

JNIEXPORT void JNICALL
Java_java_lang_UNIXProcess_destroy(JNIEnv *env,
				   jobject obj)
{
  (*env)->FatalError(env, "java.lang.UNIXProcess.destroy() unimplemented");
}
