
/* test out the opstack stuff. */

#include "interp.h"
#include "op_stack.h"

int
main()
{
  OpStack *stack;
  jdouble d;
  jint i, i1, i2;
  jlong j;
  jfloat f;

  stack = op_stack_allocate(OPSTACK_SIZE);

  d = 2001834.54839348;
  printf ("pushing double value %f\n", d);
  op_stack_push_double(NULL, stack, d);
  op_stack_pop_double_w(NULL, stack, &i1, &i2);
  op_stack_push_double_w(NULL, stack, i1, i2);
  op_stack_pop_double(NULL, stack, &d);
  printf ("popped double value %f\n", d);

  i = 57;
  printf ("pushing int value %d\n", i);
  op_stack_push_int(NULL, stack, i);
  op_stack_pop_int(NULL, stack, &i);
  printf ("popped int value %d\n", i);

  f = 57.0;
  printf ("pushing float value %f\n", f);
  op_stack_push_float(NULL, stack, f);
  op_stack_pop_float(NULL, stack, &f);
  printf ("popped float value %f\n", f);
}
