/* -*- Mode: C; c-file-style: "gnu" -*-
   inputthread.c -- native methods for sun/awt/motif/InputThread.
   Created: Chris Toshok <toshok@hungry.com>, 9-Mar-1998.
 */
/*
  This file is part of Japhar, the GNU Virtual Machine for Java Bytecodes.
  Japhar is a project of The Hungry Programmers, GNU, and OryxSoft.

  Copyright (C) 1998 The Hungry Programmers

  This library is free software; you can redistribute it and/or
  modify it under the terms of the GNU Library General Public
  License as published by the Free Software Foundation; either
  version 2 of the License, or (at your option) any later version.

  This library is distributed in the hope that it will be useful,
  but WITHOUT ANY WARRANTY; without even the implied warranty of
  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
  Library General Public License for more details.

  You should have received a copy of the GNU Library General Public
  License along with this library; if not, write to the Free
  Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
  */

#include "jni.h"

#include "common.h"

JNIEXPORT void JNICALL
Java_sun_awt_motif_InputThread_run(JNIEnv *env,
				   jobject inputthread)
{
  XEvent event;;

  printf ("In Java_sun_awt_motif_InputThread_run\n");

  while (JNI_TRUE)
    {
      printf ("waiting for next event\n");
      XtAppNextEvent(_awt_appContext, &event);

      LOCK_AWT();
      
      printf ("dispatching event\n");
      XtDispatchEvent(&event);

      UNLOCK_AWT();
    }
}
